[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Dialogs' (#lcl)

# TColorButton.Destroy

Destructor for the class instance.

## Declaration

Source position: dialogs.pp line 372

`public destructor TColorButton.Destroy; override;`

## Description

Destroy is the overridden destructor for the class instance. It ensures that the internal bitmap with the pattern displayed for the disabled control is freed (when assigned). Destroy calls the inherited destructor prior to exiting from the method.

## See also

TCustomSpeedButton.Destroy |  | Destroy - destructor for TCustomSpeedButton: frees Glyph then calls inherited Destroy.